VismaBouwsoftAPICalls.v1_GET_ProgressReportLines Method
v1_GET_ProgressReportLines() as String

This API call is used to get fields of a(n) ProgressReportLine(s)

HTTP method API version
GET v1

Don’t forget to put the Authorization field in the header

API Path: /ProgressReportLines/
or
API Path: /ProgressReportLines/{id}
or
API Path: /ProgressReportLines/FieldInfo/

You can make this API call:
* without the key field id to get a list of ProgressReportLines
* with the key field id as the path parameter (the specific id of the ProgressReportLine you want to get)
* to request the FieldInfo for this call

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
progressreport_id 1 tpLong 0 No No No
progressreport_nr 2 tpString 250 No No No
progressreport_vsgroupid 1 tpLong 0 No No No
progressreport_vsgroupnr 1 tpLong 0 No No No
progressreport_vsgroupbisnr 1 tpLong 0 No No No
progressreport_address_id 1 tpLong 0 No No No
progressreport_address_name 2 tpString 150 No No No
progressreport_project_id 1 tpLong 0 No No No
progressreport_project_pnr 1 tpLong 0 No No No
linenr 1 tpLong 0 No No No
linkedto_source 1 tpLong 0 No No No
linkedto_id 1 tpLong 0 No Yes No
nr1 2 tpString 100 No No No
nr2 2 tpString 100 No No No
description 2 tpString 0 No No No
unit1 2 tpString 10 No No No
unit2 2 tpString 10 No No No
unitprice 8 tpCurrency 0 No No No
revision_code 2 tpString 2 No No No
revision_amount 14 tpCurrencyHD 0 No No No
needed_quantity 4 tpDouble 0 No No No
previous_quantity 4 tpDouble 0 No No No
previous_amount 8 tpCurrency 0 No No No
current_quantity 4 tpDouble 0 No No No
current_amount 8 tpCurrency 0 No No No
total_quantity 4 tpDouble 0 No No No
total_amount 8 tpCurrency 0 No No No
ts_lastupdate 3 tpDate 0 No No No

/ProgressReportLines/

API Path: /ProgressReportLines/

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/ProgressReportLines

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: rjDfWxfrkIzSfVDrOfzRqIPkfUVGfGfOffAkztDPftDGIUUfPt

Query Parameters :
ParameterName: filter, ParameterValue: progressreport_nr eq ‘201200081–1’

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–25/26”, “Records”: [
  {
    "id": 112,
    "progressreport_id": 11,
    "progressreport_nr": "201200081–1",
    "progressreport_vsgroupid": 9,
    "progressreport_vsgroupnr": 1,
    "progressreport_vsgroupbisnr": 0,
    "progressreport_address_id": 2689,
    "progressreport_address_name": "Bouwsoft",
    "progressreport_project_id": 38,
    "progressreport_project_pnr": 20120025,
    "linenr": 1,
    "linkedto_source": 6,
    "linkedto_id": 564,
    "nr1": "TE.001",
    "nr2": "",
    "description": "Tegels Antraciet 40x40cm",
    "unit1": "st.",
    "unit2": "",
    "unitprice": 5.0,
    "total": 2000.0,
    "revision_code": "S",
    "revision_amount": 50.0,
    "needed_quantity": 400,
    "previous_quantity": 0,
    "previous_amount": 0.0,
    "current_quantity": 25,
    "current_amount": 500.0,
    "total_quantity": 25,
    "total_amount": 500.0,
    "ts_lastupdate": "2017–01–26 09:27:23"
  },
  {
    "id": 113,
    "progressreport_id": 11,
    "progressreport_nr": "201200081–1",
    "progressreport_vsgroupid": 9,
    "progressreport_vsgroupnr": 1,
    "progressreport_vsgroupbisnr": 0,
    "progressreport_address_id": 2689,
    "progressreport_address_name": "Bouwsoft",
    "progressreport_project_id": 38,
    "progressreport_project_pnr": 20120025,
    "linenr": 2,
    "linkedto_source": 6,
    "linkedto_id": 565,
    "nr1": "VK01",
    "nr2": "",
    "description": "Vloerklinkers wit",
    "unit1": "st.",
    "unit2": "",
    "unitprice": 2.5,
    "total": 2500.0,
    "revision_code": "S",
    "revision_amount": 25.0,
    "needed_quantity": 1000,
    "previous_quantity": 0,
    "previous_amount": 0.0,
    "current_quantity": 10,
    "current_amount": 250.0,
    "total_quantity": 10,
    "total_amount": 250.0,
    "ts_lastupdate": "2017–01–26 09:27:23"
  }
,

]
}

/ProgressReportLines/{id}

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/ProgressReportLines/114

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: rjDfWxfrkIzSfVDrOfzRqIPkfUVGfGfOffAkztDPftDGIUUfPt

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–0/1”, “Records”: [
  {
    "id": 114,
    "progressreport_id": 11,
    "progressreport_nr": "201200081–1",
    "progressreport_vsgroupid": 9,
    "progressreport_vsgroupnr": 1,
    "progressreport_vsgroupbisnr": 0,
    "progressreport_address_id": 2689,
    "progressreport_address_name": "Bouwsoft",
    "progressreport_project_id": 38,
    "progressreport_project_pnr": 20120025,
    "linenr": 3,
    "linkedto_source": 6,
    "linkedto_id": 566,
    "nr1": "",
    "nr2": "",
    "description": "Isolatiemateriaal (high-grade)",
    "unit1": "m3",
    "unit2": "",
    "unitprice": 80.0,
    "total": 960.0,
    "revision_code": "S",
    "revision_amount": 11.52,
    "needed_quantity": 12,
    "previous_quantity": 0,
    "previous_amount": 0.0,
    "current_quantity": 12,
    "current_amount": 115.200000000000003,
    "total_quantity": 12,
    "total_amount": 115.200000000000003,
    "ts_lastupdate": "2017–01–26 09:27:23"
  }
]
}

/ProgressReportLines/FieldInfo

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/ProgressReportLines/FieldInfo

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: UOIfWxffkAzSfrUjPtzRqUUbfkrkIOlljbPtzDDlVrfGjAmtfb
ParameterName: Clientnr, ParameterValue: 115

Success gives statuscode 200 And the following result

[
  {
    "name": "progressreport_id",
    "type_id": 1,
    "type_name": "tpLong",
    "length": 0,
    "required": false,
    "writeable": false,
    "forcewrite": false,
    "link": ""
  },
  {
    "name": "progressreport_nr",
    "type_id": 2,
    "type_name": "tpString",
    "length": 250,
    "required": false,
    "writeable": false,
    "forcewrite": false,
    "link": ""
  }
,

]